post
https://api-sandboxdash.norcapsecurities.com/tapiv3/index.php/v3/updateEntity
This method is used to create an Entity party. This method will return the entity Party ID as a successful response.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Request Parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| clientID | yes | string | TransactAPI Client ID |
| developerAPIKey | yes | string | TransactAPI Developer Key |
| partyId | yes | integer | Party ID that is generated by the API once an entity party is created (createEntity) |
| domicile | no | conditional | U.S. Domicile or non-U.S. |
| entityName | no | string | Name of the Entity |
| entityType | no | conditional | Revocable Trust, Irrevocable Trust, Limited Partnership, LLC, Corporation |
| entityDesc | no | string | Description of the entity |
| ein | no | string | The entity's Employer Identification number (EIN) or Individual Social Security Number if applicable |
| primCountry | no | string | The country in which the entity's primary physical address is located |
| primAddress1 | no | string | The entity's primary physical address, Line 1 |
| primAddress2 | no | string | The entity's primary physical address, Line 2 |
| primCity | no | string | The city in which the entity's primary physical address is located |
| primState | no | string | The state in which the entity’s physical address is located (must be the two letter abbreviated form). Use the value “NOUS” for addresses outside the United States. |
| primZip | no | string | The Zip / postal code of the entity's primary physical address |
| emailAddress | no | string | Entity party's primary email address |
| emailAddress2 | no | string | Entity party's secondary email address |
| phone | no | integer | Entity party's primary phone number |
| phone2 | no | integer | Entity party's secondary phone number |
| totalAssets | no | integer | Total amount of the entity's assets |
| ownersAI | no | conditional | Yes or No. Are the owners/members of the entity accredited investors? |
| KYCstatus | no | conditional | Know Your Customer (KYC) Status: Pending, Auto Approved, Manually Approved, Disapproved. Default status is "Pending" |
| AMLstatus | no | conditional | Anti-Money Laundering (AML) Status: Pending, Auto Approved, Manually Approved, Disapproved. Default status is "Pending" |
| AMLdate | no | string | Date of Anti-Money Laundering (AML) status update from the default "Pending" status |
| tags | no | string | Up to 10 tags can be added to an account separated by commas. These are generally completed in the TAPI Admin interface or with question-based tag generation |
| notes | no | string | Free form text for any notes that need to be added to the entity party |
| updatedIpAddress | yes | integer | IP address associated with the updateEntity method call |
Sample Request
curl -k -X POST https://api-sandboxdash.norcapsecurities.com/tapiv3/index.php/v3/updateEntity
-d developerAPIKey=somedeveloperkey
-d clientID=someclientid
-d partyId=P48864
-d domicile=U.S. domicile
-d entityName=John
-d entityType=LLC
-d entityDesc=Description
-d EIN=112223333
-d primCountry=USA
-d primAddress1=PEACHTREE PLACE
-d primAddress2=PEACHTREE PLACE
-d primCity=Atlanta
-d primState=GA
-d primZip=30318
-d [email protected]
-d [email protected]
-d phone=11223364585
-d phone2=565656565
-d totalAssets=10c
-d ownersAI=Yes
-d KYCstatus=Pending
-d AMLstatus=Pending
-d AMLdate=03-15-2016
-d tags=tags
-d updatedIpAddress=10.0.0.111
-d notes=Notes AddedResponse Parameters
| Parameter | Type | Description |
|---|---|---|
| statusCode | string | API Status Code |
| statusDesc | string | API Status Description |
| partyId | integer | Unique identifier code for the entity party |
Sample Response
{
"statusCode": "101",
"statusDesc": "Ok",
"entityDetails": {
"1": [{
"partyId": "P48864"
}]
}
}
